TS.Modules.fixtures = {
	moduleName : 'fixtures',
	autoInit : false,
	config: {},
	focusGraph: null,
	navigator: null,
	init : function(isResult){
		
		loadCss(TS.Config.Path.Style + 'fixtures.css');
		var view = new View(loadTemplate(TS.Config.Path.Modules + this.moduleName + '/' + this.moduleName + TS.Config.templateSuffix), '#section-lmc-content');
		
		$('#section-lmc-content').html('');
		
		if ( isResult )
			this.navigator = new TS.Modules.navigationController.Navigator('result');
		else
			this.navigator = new TS.Modules.navigationController.Navigator('fixtures'); 
		
		// init textfields
		//view.set('detailed_livecommentary_title', $.translate('detailed_livecommentary_title'));
		
		var viewRef = view.display();
		
		$(viewRef).show();
		
		var setDates = function( dates ){
			view.foreach(dates, '#lmc-fixtures-date-list');
		};
		
		var setTeams = function( teams ){
			view.foreach(teams,'#lmc-fixtures-team-list');
		}
		
		var date = [{key:'month', value:'Sept.'},
								{key:'day', value: 2}];
		
		var dates = [];
		for ( var i=0;i<5; i++){
			dates.push(date);
		}
		
		
		setDates(dates);
		
		var team = [{key:'matchID',value:'0'},
								{key:'homeTeamName',value:'HomeTeam'},
								{key:'homelogo',value:'<img src="http://placekitten.com/58/58" class="homelogo" />'},
								{key:'time',value:'00:02'},
								{key:'awayTeamName',value:'AwayTeam'},
								{key:'awaylogo',value:'<img src="http://placekitten.com/58/58" class="awaylogo" />'}];
								
		var teams = [];
		for( var i=0; i<6; i++){
			teams.push(team);
		}
		
		setTeams(teams);
	}
}