// MELCHIOR-1

function microtime(get_as_float) {  
    // Returns either a string or a float containing the current time in seconds and microseconds    
    //   
    // version: 812.316  
    // discuss at: http://phpjs.org/functions/microtime  
    // +   original by: Paulo Ricardo F. Santos  
    // *     example 1: timeStamp = microtime(true);  
    // *     results 1: timeStamp > 1000000000 && timeStamp < 2000000000  
    var now = new Date().getTime() / 1000;  
    var s = parseInt(now);  
  
    return (get_as_float) ? now : (Math.round((now - s) * 1000) / 1000) + ' ' + s;  
}  

var TS = {
  modulesLength: 0,
  userData: { },
  startTime: 0,
  currentLang: 'en',
  currentEdition: '',
  domReady: function(){
    TS.startTime = microtime(true);
    $.trace.log('TS : LOADING');
    
    TS.init();
    
    //$.trace.dir(TS);
      
    // $.trace.warn('EVENT HISTORY');
    // $.trace.dir(TS.EventHandler.History);
      
    $.trace.groupEnd();
  },
  ErrorLog: [],
  Common: {},
  Modules: {},
  videosArray: [],
  currentVideo: {
    arrayIndex: 0,
    id: '',
    title: '',
    descr: '',
    streamDuration: 0,
    streamUrl: '',
    thumbNail: ''
  }
};

$(document).ready(TS.domReady);