<?php

/** Demo feed for competitions
 *
 * GET parameters:
 * areaID=0:int
 * callback:string
 */

$callback = isset($_GET['callback']) ? $_GET['callback'] : null;
$areaID = isset($_GET['areaID']) ? $_GET['areaID'] : 0;

class Competition {
  public $id;
  public $name;

  function Competition($id, $name) {
    $this->id = (int) $id;
    $this->name = $name;
  }
}

$response = [
  new Competition(1, 'Dummy Competition'),
  new Competition(2, 'Very Long Named Dummy Competition for Eastern Europe and Southeast Asia'),
  new Competition(8, 'Justice League')
];

if ($callback) {
  header('Content-type', 'text/javascript');
  echo "$callback(".json_encode($response).");";
} else {
  header('Content-type', 'application/json');
  echo json_encode($response);
}
?>
