<?php

/** Demo feed for tables
 *
 * GET parameters:
 * competitionID:int
 * callback:string
 */

include('generateSessionData.php');

$callback = isset($_GET['callback']) ? $_GET['callback'] : null;
$competitionID = isset($_GET['competitionID']) ? $_GET['competitionID'] : 0;

class TableRow {
  public $teamName;
  public $p;
  public $w;
  public $d;
  public $l;
  public $gd;
  public $pts;

  function TableRow($teamName, $p, $w, $d, $l, $gd, $pts) {
    $this->teamName = $teamName;
    $this->p = $p;
    $this->w = $w;
    $this->d = $d;
    $this->l = $l;
    $this->gd = $gd;
    $this->pts = $pts;
  }
}


$response = [];
$count = rand(5, 20);
for ($i = 0; $i < $count; $i++) {
  array_push($response, 
    new TableRow(
      @"{$baconWords[0+2*$i]} {$baconWords[1+2*$i]}", 
      rand(-15, 15),
      rand(-15, 15),
      rand(-15, 15),
      rand(-15, 15),
      rand(-15, 15),
      rand(-15, 15)
    )
  );
}

$response = ['results' => $response]

if ($callback) {
  header('Content-type', 'text/javascript');
  echo "$callback(".json_encode($response).");";
} else {
  header('Content-type', 'application/json');
  echo json_encode($response);
}
?>
