TS.Modules.TablesFeed = function(){
  TS.Modules.Feed.call(this);
  var ITEM_COUNT = 4;

  if (TS.currentFeedSource === 'dummy') {
    this.url  = 'json/tables.json.php?competitionID={competitionID}';
  } else if (TS.currentFeedSource === 'development') {
    this.url = 'http://rn-1056-tvapps.qa.goal.com/feed/gsm/tables?edition={edition}&competitionId={competitionID}&format=tvapps';
  } else if (TS.currentFeedSource === 'preproduction') {
    this.url = 'http://cdnpreview.goal.com/feed/gsm/tables?edition={edition}&competitionId={competitionID}&format=tvapps';
  } else {
    this.url = 'http://www.goal.com/feed/gsm/tables?edition={edition}&competitionId={competitionID}&format=tvapps';
  }

  if (TS.Platform.corsSupport) {
    this.format = 'json';
  } else {
    this.format = 'jsonp';
    this.url += '&callback={callback}';
  }

  this.requestData = {edition: TS.Config.edition()};
};

TS.Modules.TablesFeed.moduleName = 'TablesFeed';
TS.Modules.TablesFeed.autoInit = false;
TS.Modules.TablesFeed.requires = ['Feed'];