/**
 * @author Adam Dolowschiak
 */

(function(){
	
	TS.Modules.videoAds = {
		moduleName: 'videoAds',
		autoInit: true,
		config : {
			liveRailPartnerId: 705273
		},
		liveRail: null,
		init : function(){
			$.trace.info('MODULE ' + this.moduleName + ' [OK]');
			// load the liverail ad manager
			$(loadScripts('js/GoalApp/js/modules/videoAds/LiveRailAdManager.js',true)).on('load', function(event){
				$.trace.info('------------------------LiveRail loaded success');
				this.liveRail = new TS.Modules.videoAds.LiveRailAdManager();
				$(this).trigger('ready');
			}).bind(this);
		}
	}
	
	// bind, és a this nem fossa össze magát, ergó olvasható lesz a kód
	// 
	
	TS.Modules.videoAds.AdManager = function(){
		
		
		var adOnErrorHandler = function(event,data){
			$(this).trigger('error');
		};
		$(TS.Modules.videoAds.liveRail).on('LiveRail.Load.Error',adOnErrorHandler.bind(this));
		
		var adOnSuccessHandler = function(event,data){
			$(this).trigger('success');
		}
		$(TS.Modules.videoAds.liveRail).on('LiveRail.Load.Success',adOnSuccessHandler.bind(this));
		
		var loadPreroll = function(videoData){
			
			// set the data what the liveRail instance needs
			var paramsForLiveRail = {
        playlistModel : videoData,
        partnerId : TS.Modules.videoAds.config.liveRailPartnerId
      }
      
      // load the preroll ad with the liveRail instance
      TS.Modules.videoAds.liveRail.load(paramsForLiveRail);
		};
		
		var loadPostroll = function(videoData){
			
			// set the data what the liveRail instance needs
			var paramsForLiveRail = {
        playlistModel : videoData,
        postRoll : true,
        partnerId : TS.Modules.videoAds.config.liveRailPartnerId
      }
      
      // load the postroll ad with the liveRail instance
      TS.Modules.videoAds.liveRail.load(paramsFormLiveRail);
		};
		
		
		
		this.loadPreroll = loadPreroll;
		this.loadPostroll = loadPostroll;
	};
	
	
})();
