describe('Async test: ', function() {
  it('dates array filled?', function() {
    waitsFor(function() {
      return window.datFeed && datFeed.isReady;
    }, 2000);
    runs(function() {
      expect(datFeed.dates.length).not.toBe(0);
      expect(datFeed.dates).not.toBe(undefined);
    });
  });
  it('random date is filled?', function() {
    waitsFor(function() {
      return window.datDate && datDate.isReady;
    }, 2000);
    runs(function() {
      expect(datDate.results || datDate.fixtures).not.toBe(undefined);
    });
  });
  it('random match has content?', function() {
      expect(window.datResult || window.datFixture).not.toBe(undefined);
  });
  it('logos loaded?', function() {
    waitsFor(function() {
      return (
        (window.datResult || window.datFixture) && 
        (window.datResult || window.datFixture).homeTeam.logo.isReady
      );
    }, 10000);
    runs(function() {
      expect((datResult || datFixture).
             homeTeam.logo.img.height > 1).toBe(true);
      expect((datResult || datFixture).
             awayTeam.logo.img.height > 1).toBe(true);
    });
  });
});
