<?php

/** Demo feed for competitions
 *
 * GET parameters:
 * callback:string
 * lang:string
 * matchID=0:int
 */

$callback = isset($_GET['callback']) ? $_GET['callback'] : null;
$lang = isset($_GET['lang']) ? $_GET['lang'] : 'en';
$matchID = isset($_GET['matchID']) ? $_GET['matchID'] : '0';

class Competition {
  public $id;
  public $name;

  function Competition($id, $name) {
    $this->id = (int) $id;
    $this->name = $name;
  }
}

$response = [
  new Competition(1, 'Dummy Competition'),
  new Competition(2, 'Very Long Named Dummy Competition for Eastern Europe and Southeast Asia'),
  new Competition(3, 'Justice League')
];

if ($callback) {
  header('Content-type', 'text/javascript');
  echo "$callback(".json_encode($response).");";
} else {
  header('Content-type', 'application/json');
  echo json_encode($response);
}
?>
